This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### dist()
Examples |
    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = v1.dist(v2);
    println(d);  // Prints "78.10249"
    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = PVector.dist(v1, v2);
    println(d);  // Prints "78.10249"
Description | Calculates the Euclidean distance between two points (considering a point as a vector object).
Syntax |
    .dist(v)
    .dist(v1, v2)
Parameters |
v | PVector: the x, y, and z coordinates of a PVector
v1 | PVector: any variable of type PVector
v2 | PVector: any variable of type PVector
Returns | float

Updated on October 26, 2013 08:58:33pm PDT